Issue 121251 - Color Picker: Edit will not pick up the hex color correctly.
Color Picker: Edit will not pick up the hex color correctly.
Status: RESOLVED FIXED
Product: ui
Classification: Code
Component: code
AOO 3.4.1
All All
: P3 normal (vote)
: AOO 4.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 23:55 UTC by Pedro Giffuni
Modified: 2013-07-12 16:28 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Pedro Giffuni 2012-10-22 23:55:25 UTC
In the new color picker (that we are sharing with LibreOffice), attempting to set a new hex color will end up in a grey-ish color always.

Looking at the new color picker in file:
main/cui/source/dialogs/colorpicker.cxx

towards the end of IMPL_LINK( ColorPickerDialog, ColorModifyHdl, void *, p )

it appears that all of mdRed, mdGreen and mdBlue are being assigned a scaled version of aColor.GetRed: in other words GetBlue and GetGreen are being ignored.

this seems wrong.
Comment 1 Pedro Giffuni 2012-10-22 23:58:55 UTC
Ivan Timofeev seems to have fixed this same problem on LibreOffice.
Comment 2 Armin Le Grand 2012-10-23 08:58:24 UTC
ALG: Seems reasonable, I'll take a look...
Comment 3 SVN Robot 2012-10-23 09:44:06 UTC
"alg" committed SVN revision 1401221 into trunk:
#121251# corrected processing on hex value change
Comment 4 Armin Le Grand 2012-10-23 09:44:26 UTC
ALG: Okay, adapted. Thanks Pedro!